Bug 41159 - RedHat IA64 RC1: wu-ftp server will not login a valid user
RedHat IA64 RC1: wu-ftp server will not login a valid user
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd (Show other bugs)
7.3
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-17 17:58 EDT by Bryan Leopard
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-18 16:30:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Leopard 2001-05-17 17:58:16 EDT
Description of Problem:


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Bryan Leopard 2001-05-17 17:59:17 EDT
Sorry, hit the wrong button.....

I installed RedHat IA64 RC1 and afterwards installed wu-ftp as the ftp server. 
I then edited the /etc/xinetd.d/wu-ftpd file and changed 
"disable = yes" to "disable = no" and restarted xinetd. When I try to ftp it 
connects, but it will always say that my password is not valid. The user in 
question can login just fine from any tty, but the ftp server for some reason 
has a security issue with it. 

The procedure I used above to enable the ftp server works fine for i386 Redhat 
7.1, which seems to be identicle to the IA64 config.

I saw the same issue with Beta 3 IA64 as well.
Comment 2 Bernhard Rosenkraenzer 2001-05-17 18:08:22 EDT
Do you see any reasons for this behavior in /var/log/messages?
wu-ftpd usually logs why an access failed.
Comment 3 Bryan Leopard 2001-05-18 16:30:20 EDT
You can close this issue:  

Notes from one of my engineers:

I finally found my problem thru searching bugzilla. /etc/shells has the wrong 
permissions and I had to set it to 644 and now everything  seems ok.

Note You need to log in before you can comment on or make changes to this bug.